Bug 96324 - Subscript missing in exported SVG (see comment 10)
Summary: Subscript missing in exported SVG (see comment 10)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:svg, regression
Depends on:
Blocks: SVG-Save
  Show dependency treegraph
 
Reported: 2015-12-07 21:17 UTC by u.fuchs
Modified: 2022-04-14 03:41 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
examples for wrong SVGs (183.31 KB, application/zip)
2015-12-07 21:17 UTC, u.fuchs
Details
SVGs created with Win7-Libreoffice (178.09 KB, application/zip)
2015-12-08 18:42 UTC, u.fuchs
Details
Destroyed Menue usin OpenGL enabled (208.61 KB, image/png)
2015-12-08 19:34 UTC, u.fuchs
Details
very small example (8.28 KB, application/vnd.oasis.opendocument.graphics)
2017-11-11 21:13 UTC, Christina Rossmanith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description u.fuchs 2015-12-07 21:17:57 UTC
Created attachment 121121 [details]
examples for wrong SVGs

I created drawings with LO-Draw which included 90 degrees rotated text with subscripts or a 90-degrees rotated formula. The drawings were exported as SVGs and imported in LO-Writer. 

1. The subscripts are missing.

2. The formula is not rotated any more.

See examples I have uploaded.
Comment 1 m.a.riosv 2015-12-08 00:07:18 UTC
Hi @u.fuchs, thanks for reporting.

Please test disabling Menu/Tools/Options/LibreOffice/View - Graphics output - Use OpenGL for all rendering.
Comment 2 u.fuchs 2015-12-08 06:57:07 UTC
Hi,
"Use OpenGL for all rendering" was disabeled while I created the original SVGs.
I turned on the option and generated the SVGs again. Subscripted N is now visible. However, the 90 degree rotated formula is not displayed correctly. Had to turn the option off again because LO is incredibly slow with this option enabled.
Comment 3 m.a.riosv 2015-12-08 15:21:56 UTC
This options was added on last versions and it has a severe dependence on the hardware, so it's important for the triage know what possible issues depends on it and what not.
Please could you detail what it's bad without OpenGL for whole process and what it's bad only with the option enabled.
Comment 4 u.fuchs 2015-12-08 18:42:01 UTC
Created attachment 121145 [details]
SVGs created with Win7-Libreoffice

SVGs created with LO WIN7-Version
Comment 5 u.fuchs 2015-12-08 18:57:14 UTC
Use of OpenGL "enabled" makes my notebook (Acer Extensa 5220, Kubuntu 14.04, rather old!) extremly slow with scrolling. For the SVG-errors it does not matter that OpenGL is en- or disabled.

I tested also on a win7-PC, both, en- and disabled OpenGL. Same SVG-erros as with linux-version, but the win7-PC was usable with en- and disabled OpenGL. Normal scrolling-speed.
Comment 6 u.fuchs 2015-12-08 19:32:26 UTC
Libreoffice linux-version: Menu/Tools/Options/LibreOffice/View - Graphics output - Use OpenGL for all rendering is destroyed when OpenGl is enabled. See attachment.
Comment 7 u.fuchs 2015-12-08 19:34:15 UTC
Created attachment 121149 [details]
Destroyed Menue usin OpenGL enabled

Destroyed Menue
Comment 8 Xisco Faulí 2016-09-11 22:08:12 UTC Comment hidden (obsolete)
Comment 9 u.fuchs 2016-09-12 05:14:02 UTC
Hi,
I am using now LO 5.2.1 Linux, Kubuntu 14.04. Formulas are completely missing in the svg. Tested with Drawing from my original attachment.
Comment 10 Buovjaga 2016-10-03 18:59:21 UTC
I confirm both issues: you can see the problems in Inkscape or Firefox, not only when importing to LibO.

Yet: one issue per report, so this has to be split.

u.fuchs: please create a new report for Kennlinie2 and add here a comment where you link to it like "bug xxxxxxx".

Let's keep this for the subscript issue in Kennlinie1: the subscript 'N' from the vertical '..% von MN' going missing when exporting from ODG to SVG and viewing in any software.

The issue with Kennlinie1 is actually a regression: version 3.6 exports it ok.

The issue with Kennlinie2 already exists in 3.6.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: dc41255dc725dfa912326cc5d9e420bd66471c64
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on October 1st 2016

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 11 u.fuchs 2016-10-04 17:42:45 UTC
Created a new Bug-report.
See Bug 102959!
Comment 12 raal 2016-10-05 07:17:19 UTC
(In reply to Buovjaga from comment #10)
> I confirm both issues: you can see the problems in Inkscape or Firefox, not
> only when importing to LibO.
> the subscript issue in Kennlinie1: the subscript 'N' from the vertical '..% von MN' going missing when exporting from ODG to SVG and viewing in any software.
> The issue with Kennlinie1 is actually a regression: version 3.6 exports it
> ok.


This seems to have begun at the below commit.
Adding Cc: to Chr. Rossmanith; Could you possibly take a look at this one? Thanks

	author	Chr. Rossmanith <ChrRossmanith@gmx.de>	2015-02-03 21:29:31 (GMT)
committer	Katarina Behrens <bubli@bubli.org>	2015-02-19 09:17:05 (GMT)
commit cacc3a0e7f7b04240daf63b45e457428388f4929 (patch)
tree 8e93c83cf4003d7f95ea0bf08518a467088d95cb
parent fd19e3f823ef8b83f4185da173365ba1b129e4a9 (diff)
tdf#65788: svg export - put transform attribute into text element
	
 git bisect log
# bad: [b7988d11e5d3751a4b366b2bfc9048f7a30e8526] source sha:87ac0b1e75a880a68ecb748bd4b34ae5a3d2ae98
# good: [f449493ae11ac76cc7396bddeaa624a60c565936] source sha:57d6b92b69a31260dea0d84fcd1fc5866ada7adb
git bisect start 'origin/master' 'oldest'
# bad: [66e2ae767eb4bb83444e3d03bcb90adcbe6d4991] source sha:5a308b1239a09417507b0d05090ff2d3418d5133
git bisect bad 66e2ae767eb4bb83444e3d03bcb90adcbe6d4991
# good: [90c1dbb098a6d957f2293692716251ee5a6053ca] source sha:2813632238380e0bfe40c0e6404a07102cde1398
git bisect good 90c1dbb098a6d957f2293692716251ee5a6053ca
# good: [8761516baa139d16991fed99df5c8cde1419199d] source sha:36e492823ef4575eac2a159da3c6c7a7962d5769
git bisect good 8761516baa139d16991fed99df5c8cde1419199d
# bad: [4a98fab5c50fd8d79d61549f66fd221251edccc1] source sha:7d7c2ab1dffa82cfc0e2d6b15702d965b8b0245b
git bisect bad 4a98fab5c50fd8d79d61549f66fd221251edccc1
# good: [e9a90a9b52111b18fef79577c2ed57e1ff1f2299] source sha:9da730a8fe253aad1778bba908f503a43081711b
git bisect good e9a90a9b52111b18fef79577c2ed57e1ff1f2299
# bad: [881bbe43a59b733a82ff2bb7582d8f0411a2326d] source sha:5bd8dcd45cb37b093e526c929ff9e3f382b8a758
git bisect bad 881bbe43a59b733a82ff2bb7582d8f0411a2326d
# good: [139fcca67ae43da27b7a8cbb2e1ad6240fb9e741] source sha:13b884a863ad8f9fbec2c060bc455d660d10bc9c
git bisect good 139fcca67ae43da27b7a8cbb2e1ad6240fb9e741
# bad: [934f3e5f2dceefc908e959028a6ff5160cdff46a] source sha:1b9e807b971277f29f1a131705db23aab4ab6cfc
git bisect bad 934f3e5f2dceefc908e959028a6ff5160cdff46a
# bad: [8a80ddbb8ca8d2f20f1dbfd23b11bbf768e0ea76] source sha:42ec6448f9acd474d8ec1a92d9362e1b38e13758
git bisect bad 8a80ddbb8ca8d2f20f1dbfd23b11bbf768e0ea76
# good: [d0cf8a98713c5db6da8290c4002c4f89e4934099] source sha:52f4d152af4a0cad31ca6da43ae9e8fc55688aab
git bisect good d0cf8a98713c5db6da8290c4002c4f89e4934099
# good: [866c99500ae6a3cc0fa22fba99e64e386203b0fa] source sha:e382d3782c171bb7962d21662d86669a76ffc8d0
git bisect good 866c99500ae6a3cc0fa22fba99e64e386203b0fa
# good: [a177a35f2fdf5c7a9b8142969848e5d279e51496] source sha:998d30b6c96aa4b05bcc1360d36791af81c9924c
git bisect good a177a35f2fdf5c7a9b8142969848e5d279e51496
# bad: [6e3b25470bfe5aff59d556fd6b74ef38799c20a6] source sha:cacc3a0e7f7b04240daf63b45e457428388f4929
git bisect bad 6e3b25470bfe5aff59d556fd6b74ef38799c20a6
# good: [5d3e29b53a2e680bc7f9dcff0c8fc3933541985c] source sha:fd19e3f823ef8b83f4185da173365ba1b129e4a9
git bisect good 5d3e29b53a2e680bc7f9dcff0c8fc3933541985c
# first bad commit: [6e3b25470bfe5aff59d556fd6b74ef38799c20a6] source sha:cacc3a0e7f7b04240daf63b45e457428388f4929
Comment 13 QA Administrators 2017-10-23 14:07:21 UTC Comment hidden (obsolete)
Comment 14 u.fuchs 2017-10-23 15:52:23 UTC
Yes, bug is present. IT IS A REGRESSION. Tested with LO 5.4.2 using TDF-version from de.libreoffice.org, not the ubuntu-version. OS is kubuntu 14.04. SEE also BUG 102959!

u. fuchs
Comment 15 Christina Rossmanith 2017-10-29 20:34:52 UTC
The subscript N is exported to SVG but with wrong x,y coordinates and as a consequence it falls outside the visible area.
Comment 16 Christina Rossmanith 2017-11-11 21:13:22 UTC
Created attachment 137684 [details]
very small example

I've attached a small example: two text blocks M_N (subscript); one rotated, one plain. 

In SVGTextWriter::implWriteTextPortion we see the coordinates where the text portions are positioned:

rotated: M (443,5096), N (559, 4808)   ->    y coordinate of N should increase instead of decrease compared to y coordinate of M

plain: M (250, 443), N (542, 559)    -> the delta in x is 292 compared to 161 in the rotated case, which is too small.
Comment 17 QA Administrators 2018-11-12 03:41:15 UTC Comment hidden (obsolete)
Comment 18 u.fuchs 2018-11-12 10:18:25 UTC
Tested with LO 6.1.3 TDF-Version / kubuntu 18.04 and LO 6.13 Arch-Linux Version / Manjaro

For testing I used the files from attachments "examples for wrong SVGs" and "very small example".

The errors still exist.
Comment 19 QA Administrators 2019-12-06 04:17:28 UTC Comment hidden (obsolete)
Comment 20 u.fuchs 2019-12-06 10:09:12 UTC
Bug is still there. Tested with Version: 6.3.2.2 Build-ID: 6.3.2-2 CPU-Threads: 1; BS: Linux 5.3; UI-Render: Standard; VCL: kde5;  Arch/Manjaro
Comment 21 QA Administrators 2022-04-14 03:41:05 UTC
Dear u.fuchs,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug